<?php

class actionFaqFaqsAjax extends cmsAction {

    public function run($cat_id){

        if (!$this->request->isAjax()) { cmsCore::error404(); }
        $grid = $this->loadDataGrid('faq');
        $model = cmsCore::getModel('faq');
        $model->setPerPage(admin::perpage);
        $filter     = array();
        $filter_str = $this->request->get('filter', '');
        if ($filter_str){
            parse_str($filter_str, $filter);
            $model->applyGridFilter($grid, $filter);
        }
		if ($cat_id){
            $model->filterEqual('cat_id', $cat_id);
        }
        $total = $model->getFaqsCount();
        $perpage = isset($filter['perpage']) ? $filter['perpage'] : admin::perpage;
        $pages = ceil($total / $perpage);

        $faqs = $model->getFaqs();

        cmsTemplate::getInstance()->renderGridRowsJSON($grid, $faqs, $total, $pages);

        $this->halt();

    }

}