<?php

function grid_faq($controller) {

    $options = array(
        'is_auto_init' => false,
        'is_sortable' => true,
        'is_filter' => true,
        'is_pagination' => true,
        'is_draggable' => false,
        'is_selectable' => true, 
        'order_by' => 'id',
        'order_to' => 'asc',
        'show_id' => false
    );


    $columns = array(
        'id' => array(
            'title' => 'id',
            'width' => 30,
        ),
        'title' => array(
            'title' => 'Заголовок',
            'href' => href_to($controller->root_url, 'faq_edit', array('{id}')),
			'width' => '90%',
        ),
		'is_pub' => array(
            'title' => LANG_ON,
            'width' => 40,
            'flag' => true,
			'flag_toggle' => href_to($controller->root_url, 'item_toggle', array('{id}'))
        ),

    );


    $actions = array(
        array(
            'title' => 'Редактировать',
            'class' => 'edit',
            'href' => href_to($controller->root_url, 'faq_edit', array('{id}')),
        ),
        array(
            'title' => 'Удалить',
            'class' => 'delete',
            'href' => href_to($controller->root_url, 'faq_delete', array('{id}')),
            'confirm' => 'Вы уверенны?',
            'handler' => function ($row) {
                return !$row['is_fixed'];
            }
        )
    );

    return array(
        'options' => $options,
        'columns' => $columns,
        'actions' => $actions
    );
}