<?php
class modelFaq extends cmsModel{
    
    public function getFaqs(){
        return $this->get('faq');
    }
	
	public function getFaqsCount($cat_id=FALSE){
        if($cat_id) {$this->filterEqual('cat_id', $cat_id);}
        return $this->getCount('faq');
    }
    
    public function getFaqCats(){
        return $this->get('faq_cats');
    }
    
    public function addFaq($faqs) {
        return $this->insert('faq', $faqs);
    }
	
	public function addCat($cat) {
        return $this->insert('faq_cats', $cat);
    }
    
    public function editFaqCat($id, $cat) {
        return $this->update('faq_cats', $id, $cat);
    }
	
	public function reorderCats($items) {
        $this->reorderByList('faq_cats', $items);
        return true;
    }
	
     public function editFaq($id, $faq) {
        return $this->update('faq', $id, $faq);
    }
}
?>
