<?php

$this->addCSS('templates/default/css/datatree.css');
$this->addJS('templates/default/js/jquery-ui.js');
$this->addJS('templates/default/js/jquery-cookie.js');
$this->addJS('templates/default/js/datatree.js');
$this->addBreadcrumb('Вопросы');
$this->addToolButton(array(
    'class' => 'add',
    'title' => 'Добавить вопрос',
    'href'  => $this->href_to('faq_add')
));
?>


<table class="layout" style="margin-top: 10px; border-top: double 5px #EDEDED;">
    <tr>
        <td class="sidebar" valign="top">
            <div id="datatree">
                <ul id="treeData" style="display: none">
                    <?php foreach($cats as $id=>$cat){ ?>
						<li id="<?php echo $cat['id'];?>" class=""><?php echo $cat['title']; ?></li>
					<?php } ?>
				</ul>
			</div>

<script type="text/javascript">
    $(function(){
        var c_key = $.cookie('icms[faqs_tree_ckey]');
        $("#datatree").dynatree({
            autoFocus: true,
            onActivate: function(node){
                node.expand();
                var key = node.data.key;
                icms.datagrid.setURL("<?php echo $this->href_to('faqs_ajax'); ?>/" + key);
                icms.datagrid.loadRows();
                $.cookie('icms[faqs_tree_ckey]', key, {expires: 7, path: '/'});
                $('.cp_toolbar .add a').attr('href', "<?php echo $this->href_to('faq_add'); ?>/" + key);
            }
        });
        if(c_key) {
            $("#datatree").dynatree("getTree").activateKey(c_key);
        } else {
			$("#datatree").dynatree("getTree").activateKey(1);
		}
    });
</script>

</td>
<td class="main" valign="top">
    <?php $this->renderGrid($this->href_to('faqs_ajax', 1), $grid); ?>
</td>
</tr>
</table>