<?php
	$this->addJS("templates/default/controllers/faq/js_faq.js"); 
	$this->addCSS("templates/default/controllers/faq/style_faq.css"); 
	$user = cmsUser::getInstance();
	$base_url = $this->controller->name;
	$this->setPageTitle('FAQ');
	$this->addBreadcrumb('FAQ', href_to($base_url));
	
	if($user->is_admin) {
	
		$this->addToolButton(array(
			'class' => 'add',
			'title' => LANG_ADD,
			'href'  => href_to('faq/add')
		));
		
	}
?>


	<table border="0" CellSpacing="0" CellPadding="0">
		<tr>
			<td>
				<img src='/templates/default/controllers/faq/faq.gif' class='icon_faq'></td>
			<td>
				<h1 style="margin:-5px 0 7px;"><?php html(LANG_HELP) ?></h1>
				<div class="disc_faq">Часто задаваемые вопросы</div><br>
			</td>
		</tr>
	</table>

	<?php if ($cats) { ?> 

		<?php foreach ($cats as $cat) { ?> 

			<div class="faq_title"><?php html($cat['title']); ?>		
			<?php if ($user->is_admin){ ?>
			   <a class="ajax-modal" href="<?php echo $this->href_to('editcat', $cat['id']) ?>" title="Редактировать категорию">
				   <span id="edit_faq_cat"><?php html(LANG_EDIT) ?></span>
				   <img id="f_berger" src="/templates/default/controllers/faq/edit.png"></a>
			 <?php } ?>
			
			</div>
			<?php if ($faqs) { ?>
				<?php foreach ($faqs as $faq) { ?>
					<?php if($cat['id']== $faq['cat_id']) { ?>
						<div class="spoil">
							<div class="sp_top">
								<span class="sp_span"><img src="/templates/default/controllers/faq/help.png" style="margin:3px 2px -2px -15px;">
									<?php if ($user->is_admin){ ?><a href="<?php echo $this->href_to('edit', $faq['id']) ?>"><?php } ?>
										<?php html($faq['title']); ?> 
									<?php if ($user->is_admin){ ?></a><?php } ?>
								</span>
								<button id="<?php html($faq['id']); ?>" class="sp_button">
									<span id="edit_faq_cat">Развернуть</span><img id="f_berger" src="/templates/default/controllers/faq/berger.png">
								</button>
							</div>
							<div class="sp_text">
								<?php echo($faq['text']); ?>
							</div>
						</div>
					<?php } ?>
				<?php } ?>
			<?php } ?>
		<?php } ?>

	<?php } else { html(LANG_NO_ITEMS); } ?>

