<?php

class actionFaqItemToggle extends cmsAction {

    public function run($item_id=false){

		if (!$item_id){
			cmsTemplate::getInstance()->renderJSON(array(
				'error' => true,
			));			
		}
		
        $model = cmsCore::getModel('faq');
        $item = $model->getItemById('faq', $item_id);

		if (!$item){
			cmsTemplate::getInstance()->renderJSON(array(
				'error' => true,
			));			
		}
		
		$is_pub = $item['is_pub'] ? false : true;
		
		$model->update('faq', $item_id, array('is_pub' => $is_pub));
				
		cmsTemplate::getInstance()->renderJSON(array(
			'error' => false,
			'is_on' => $is_pub
		));

    }

}
